Subject: bug#29170: 26.0.90; Emacs freezes when capturing an org-template

From: Grégoire Jadi <[email-masked]>
Date: Sun, 08 Aug 2021 16:53:53 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Grégoire Jadi <[email-masked]>
>> Cc: Eli Zaretskii <[email-masked]>,  [email-masked], [email-masked]
>> Date: Sun, 08 Aug 2021 16:33:48 +0200
>> 
>> Please note that the real issue is not fixed.  The issue is in the
>> broken SIGIO code itself.  I was able to reproduce the bug by enabling
>> emacs_broken_SIGIO on Ubuntu LTS 20.04.  I didn't take the time to find
>> a fix though.
>
> There's no broken SIGIO code, AFAICT.  If the configure script detects
> that SIGIO is broken, it doesn't define USABLE_SIGIO, and then the
> code conditioned by USABLE_SIGIO is not used.

You're correct.  What I meant is that by disabling USABLE_SIGIO on
Ubuntu, I was able to reproduce the same freezes.  Hence, it is the
codepath used when USABLE_SIGIO is disabled that causes the issue.

Best,

-- 
gjadi
PGP : AF26 E9C2 A1C8 8D32 A868  4386 1373 5477 2B65 1894